Package org.zkoss.zk.au.out

## Class AuAlert

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuAlert

-     public class AuAlert
      extends AuResponse

  A response to ask client to show an alert.

  data[0]: the alert message

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuAlert​(java.lang.String message)` |
    `AuAlert​(java.lang.String message, boolean disabledAuRequest)` | For the response error use, the next AuRequest will be stopped until the alert dialog is closed.
    `AuAlert​(java.lang.String message, java.lang.String title)` |
    `AuAlert​(java.lang.String message, java.lang.String title, java.lang.String icon)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuAlert

          public AuAlert​(java.lang.String message)

    - #### AuAlert

          public AuAlert​(java.lang.String message,
                         boolean disabledAuRequest)

      For the response error use, the next AuRequest will be stopped until the alert dialog is closed.
      Parameters:
        `message` - the message to display.
        `disabledAuRequest` - whether to disable the next AuRequset
      Since:
        7.0.0

    - #### AuAlert

          public AuAlert​(java.lang.String message,
                         java.lang.String title)

      Parameters:
        `message` - the message to display.
        `title` - the title of the message box
      Since:
        5.0.3

    - #### AuAlert

          public AuAlert​(java.lang.String message,
                         java.lang.String title,
                         java.lang.String icon)

      Parameters:
        `message` - the message to display.
        `title` - the title of the message box
        `icon` - the icon to show. It could null, "QUESTION", "EXCLAMATION", "INFORMATION", "ERROR", "NONE". If null, "ERROR" is assumed
      Since:
        5.0.3